<?php
       
//faq




/*services*/
function serviceShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',3);  
    $services_page_icon1 = get_theme_mod('services_page_icon1'.$i);
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-4 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
            $post = get_post();

        ?>

        <div class="<?php echo $colCls; ?> single-service-bx wow zoomIn"> 
            <div class="single-service" data-match-height="single-service ">
                <div class="service-icon">
                    <a href="<?php the_permalink(); ?>">
                        <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/services.jpg';
                            }
                        ?>                                                        
                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        <div class="smoke">
                              <div></div>
                              <div></div>
                              <div></div>
                              <div></div>
                        </div>
                   </a>
                </div>
                <div class="sertxbx">
                    <a href="<?php the_permalink(); ?>">
                        <h4 class="post-title inner-area-title wow fadeInDown"><?php the_title(); ?></h4>
                    </a>
                    <p class="section-area-text">
                        <?php

                            if(has_excerpt()){
                              echo get_the_excerpt();
                             }else{
                              echo luzuk_excerpt( get_the_content() , 100 );
                             } 
                        ?>
                    </p>
                        <?php
                            $ser_button1 = get_theme_mod('ser_button1', 'Read More');
                        ?>
                        <?php if($ser_button1) { ?>
                            <div class="serbtn">  
                                <a href="<?php echo esc_url(get_permalink()); ?>">
                                    <span><?php echo $ser_button1 ?></span>
                                </a>
                            </div> 
                        <?php }?>
                </div>
            </div> 
        </div>
        <!-- inner-page -->
        <div class="col-lg-4 col-md-6 col-sm-6 col-xs-12 inn-single-service-bx wow zoomIn">
            <div class="singleinner-service">
                <?php 
                    $sertxtlimit = get_theme_mod('sertxtlimit', '170');
                ?> 
                <div class="service_inbox serviceinbox">
                    <div class="service_inimg">
                        <a href="<?php the_permalink(); ?>">
                           <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/services.jpg';
                            }
                            ?> 
                                <div class="serinnolay"></div>
                                <img class="service-img" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        </a>
                    </div>
                    <div class="serbx">
                        <a href="<?php the_permalink(); ?>">
                            <h3 class="title"> <?php the_title(); ?> </h3>
                        </a>
                        <p class="description">
                             <?php 
                                   if (has_excerpt()) {
                                              echo get_the_excerpt();
                                          } else {
                                              echo luzuk_excerpt(get_the_content(),$sertxtlimit );  
                                       }
                                ?> 
                            <!-- </?php

                                if(has_excerpt()){
                                  echo get_the_excerpt();
                                 }else{
                                  echo luzuk_excerpt( get_the_content() , 110 );
                                 } 
                            ?> -->
                           
                        </p>
 
                        <?php
                            $ser_button2 = get_theme_mod('ser_button2', 'View More');
                        ?>
                        <?php if($ser_button2) { ?>
                            <div class="serbtn">  
                                <a href="<?php echo esc_url(get_permalink()); ?>">
                                    <span><?php echo $ser_button2 ?></span>
                                </a>
                            </div> 
                        <?php }?>
                                
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>
        <!-- inner-page -->
    <script type="text/javascript">
        var title = 0;
        jQuery("#innerpage-box .service_inbox").each(function(){
          if ($(this).height() > title) { title = $(this).height(); }
        });
        jQuery("#innerpage-box .service_inbox").height(title);


        // on Resize change height

        jQuery(window).resize(function(){
          jQuery("#innerpage-box .service_inbox").height("");
          var title = 0;
          jQuery("#innerpage-box .service_inbox").each(function(){
            if ($(this).height() > title) { title = $(this).height(); }
          });
          jQuery("#innerpage-box .service_inbox").height(title);
        });
    </script>

            <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}



// ==========================
/*********gallery************/ 
// ==========================

function galleryShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-gallery');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('luzuk_gallery_npp_count', 7);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-lg-12 col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-lg-4 col-md-6 col-sm-6';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6';
        break;
    }
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
            $post = get_post();
            ?> 

      <div class="<?php echo $colCls; ?> gall-contain wow zoomIn">  
    <!-- <div class="item wow zoomIn "> --> 
        <div class="homegalry"> 
            <div class="lz-gallery-images">
                <figure class="spa-gall">
                    <?php
                        if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/about1.jpg';
                        }
                    ?>
                    <a class="group1" href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>">  
                        <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                    </a>
                 </figure> 
                <a class="group1" href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>"> 
                    <div class="over-text">
                        <i class="fa fa-plus" aria-hidden="true"></i>
                    </div>
                </a>
                    <!-- <a class="group1" href="<//?php echo esc_url($image_url); ?>" title="<//?php the_title(); ?>">
                        
                    </a> -->
                    <!-- <a class="group1" href="<?php //echo esc_url($image_url); ?>" title="<//?php the_title(); ?>"> -->
                        
                    <!-- </a>  -->
                
            </div>
            <div class="clearfix"></div>
        </div> 
        
        <script type="text/javascript">
                var title = 0;
            jQuery("#innerpage-box .lz-gallery-images").each(function(){
              if ($(this).height() > title) { title = $(this).height(); }
            });
            jQuery("#innerpage-box .lz-gallery-images").height(title);


            // on Resize change height

            jQuery(window).resize(function(){
              jQuery("#innerpage-box .lz-gallery-images").height("");
              var title = 0;
              jQuery("#innerpage-box .lz-gallery-images").each(function(){
                if ($(this).height() > title) { title = $(this).height(); }
              });
              jQuery("#innerpage-box .lz-gallery-images").height(title);
            });
        </script>
    </div>
                <?php
            endwhile;
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
    }


